using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Krystalware.SlickUpload;
using Krystalware.SlickUpload.Status;

public partial class _Default : System.Web.UI.Page 
{
    protected void uploadButton_Click(object sender, EventArgs e)
    {
        uploadResultsPanel.Visible = true;

        UploadStatus status = HttpUploadModule.GetUploadStatus();

        if (status != null)
        {
            if (status.Reason == UploadTerminationReason.NotTerminated)
            {
                resultsMessage.InnerText = "Upload completed successfully. The following files were uploaded:";

                resultsRepeater.DataSource = status.GetUploadedFiles();
                resultsRepeater.DataBind();
            }
            else
            {
                if (status.Reason == UploadTerminationReason.Disconnected)
                {
                    resultsMessage.InnerText = "Upload was cancelled.";
                }
                else
                {
                    resultsMessage.InnerHtml = "Upload resulted in an error.<br />Reason:" + status.Reason.ToString() + "<br />Message:" +
                        status.ErrorMessage;
                }
                resultsMessage.Style["color"] = "red";
            }
        }
    }
}
